Jump to content
Search In
  • More options...
Find results that contain...
Find results in...

What's the right mappings version for MC 1.8.9?


Recommended Posts

I just moved my mod to 1.8.9 and recommended Forge 11.15.1.1722.

In my gradle build file the mapping evaluates to

minecraft {
   version = "1.8.9-11.15.1.1722"
   mappings = "stable_20"
}

but I get a warning

This set of MCP mappings was designed for MC 1.8.8. Use at your own peril.
in the gradle log

 

Should I use a "snapshot_xxxxxxxx" mapping?

Latest Mincraftforge build seems to use "stable_20" as well.

Link to post
Share on other sites
  • 1 month later...

For some reason though, compiling a mod with the stable_20 mapping does not work.

I tried using the  following version:

minecraft {
    version = "1.8.9-11.15.1.1722"
    runDir = "run"
    mappings = "stable_20"
}

I simply copied this from the forge mdk  I downloaded. When I tried compiling my Mod, I got this error:

Building Mod File...
To honour the JVM settings for this build a new JVM will be forked. Please consider using the daemon: http://gradle.org/docs/1.11/userguide/gradle_daemon.html.

FAILURE: Build failed with an exception.

* Where:
Build file 'C:\Users\~~~~~\Desktop\Modding\Applied Science\Applied Science\build.gradle' line: 34

* What went wrong:
A problem occurred evaluating root project 'Applied Science'.
> This mapping 'stable_20' exists only for MC 1.8.8!

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

BUILD FAILED

Total time: 10.553 secs

Is there another mapping I can use instead?

 

Link to post
Share on other sites

Changed to stable_22, tried again, got an exception. Reinstalled Forge using stable_22 as well, tried again, got an exception.

Obviously, some important files were not added during Forge installation?!

 

Building Mod File...
To honour the JVM settings for this build a new JVM will be forked. Please consider using the daemon: http://gradle.org/docs/1.11/userguide/gradle_daemon.html.
****************************
Powered By MCP:
http://modcoderpack.com/
Searge, ProfMobius, Fesh0r,
R4wk, ZeuX, IngisKahn, bspkrs
MCP Data version : stable_22
****************************
:compileApiJava UP-TO-DATE
:processApiResources UP-TO-DATE
:apiClasses UP-TO-DATE
:sourceMainJava UP-TO-DATE
:compileJava UP-TO-DATE
:processResources UP-TO-DATE
:classes UP-TO-DATE
:jar UP-TO-DATE
:compileTestJava UP-TO-DATE
:processTestResources UP-TO-DATE
:testClasses UP-TO-DATE
:test UP-TO-DATE
:extractMcpData UP-TO-DATE
:getVersionJson
:extractUserDev UP-TO-DATE
:genSrgs FAILED

FAILURE: Build failed with an exception.

* What went wrong:
Some problems were found with the configuration of task ':genSrgs'.
> File 'C:\Users\~~~~~\.gradle\caches\minecraft\net\minecraftforge\forge\1.8.9-11.15.1.1722\unpacked\conf\packaged.srg' specified for property 'inSrg' does not exist.
> File 'C:\Users\~~~~~\.gradle\caches\minecraft\net\minecraftforge\forge\1.8.9-11.15.1.1722\unpacked\conf\packaged.exc' specified for property 'inExc' does not exist.

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

BUILD FAILED

Total time: 13.782 secs

Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.



  • Recently Browsing

    No registered users viewing this page.

  • Posts

    • So I thought that I had gotten pretty far on my own but now apparently my code crashes the game. I am new to using the forge API and modding in general and some help on why this crashes the game and how to fix it would be greatly appreciated:   public class SpecialItem extends ShootableItem {      public SpecialItem(Properties properties){ super(properties); }      @Override      public Predicate<ItemStack> getInventoryAmmoPredicate() { return null; }      @Override      public int func_230305_d_() { return 15; }      public int tcount=0;      @SubscribeEvent public void ontick(TickEvent.ClientTickEvent event){            tcount++;      }      @Override      public ActionResult<ItemStack> onItemRightClick(World worldIn, PlayerEntity playerIn, Hand handIn) {      if (!playerIn.getCooldownTracker().hasCooldown(this)) {           playerIn.getCooldownTracker().setCooldown(this, 40);           Vector3d v3 = playerIn.getLook(1);           for (tcount = 0; tcount <= 40;) {                if (tcount%10 == 0 && tcount!= 40) {                     final SmallFireballEntity entitysmallfireball = new SmallFireballEntity(playerIn.getEntityWorld(), playerIn.getPosX(), playerIn.getPosY() + playerIn.getEyeHeight() - 0.4, playerIn.getPosZ(), v3.x + playerIn.getRNG().nextGaussian() * 0.05, v3.y, v3.z);                     entitysmallfireball./* shoot */func_234612_a_(playerIn, playerIn.rotationPitch, playerIn.rotationYaw, 0.0f, 1.5f, 1.0f); worldIn.addEntity(entitysmallfireball); } } tcount = 0;                     return ActionResult.resultSuccess(playerIn.getHeldItem(handIn));            } return ActionResult.resultFail(playerIn.getHeldItem(handIn));      } }
    • I found a way to handle this, using javapoet as you suggested. For those who are interested in how it works, you can take a look at my sample here: https://github.com/DarkShadow44/compatibilitymod/tree/sourcegen Might not work with eclipse yet, but it builds properly.
    • It's fired on the logical client and logical server. Most likely you'll only need to execute the logic on the server.
    • If you're translating individual files, there's not much you can do about it. You could use the updateMappings gradlew task, but that's better for large batches of code. As for JSON item models, that is a much more complicated issue that involves layers and custom transform types. While still possible, the tradeoff isn't really worth it.
    • it keeps saying when i i try to install it, it says These libraries failed to download. Try again   
  • Topics

  • Who's Online (See full list)

×
×
  • Create New...

Important Information

By using this site, you agree to our Privacy Policy.